Bug 160395 - AX: Simulated touch events are not working on iOS
Summary: AX: Simulated touch events are not working on iOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-07-31 22:17 PDT by Nan Wang
Modified: 2016-08-02 19:40 PDT (History)
12 users (show)

See Also:


Attachments
Initial patch (5.00 KB, patch)
2016-08-02 12:14 PDT, Nan Wang
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (648.88 KB, application/zip)
2016-08-02 13:26 PDT, Build Bot
no flags Details
Patch (7.30 KB, patch)
2016-08-02 15:12 PDT, Nan Wang
no flags Details | Formatted Diff | Diff
Patch (7.07 KB, patch)
2016-08-02 15:52 PDT, Nan Wang
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (776.73 KB, application/zip)
2016-08-02 16:44 PDT, Build Bot
no flags Details
Patch (11.03 KB, patch)
2016-08-02 17:12 PDT, Nan Wang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nan Wang 2016-07-31 22:17:13 PDT
The dispatchTouchEvent() in AccessibilityObject::press() is not working.
Comment 1 Radar WebKit Bug Importer 2016-07-31 22:17:51 PDT
<rdar://problem/27633599>
Comment 2 Simon Fraser (smfr) 2016-08-01 11:12:42 PDT
rdar://problem/27633597
Comment 3 Nan Wang 2016-08-02 12:14:33 PDT
Created attachment 285125 [details]
Initial patch
Comment 4 chris fleizach 2016-08-02 12:17:52 PDT
Comment on attachment 285125 [details]
Initial patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285125&action=review

> Source/WebCore/accessibility/AccessibilityObject.cpp:926
> +#if PLATFORM(IOS)

Should this be guarded instead by ENABLE_TOUCH_EVENTS
Comment 5 Nan Wang 2016-08-02 12:32:05 PDT
Comment on attachment 285125 [details]
Initial patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285125&action=review

>> Source/WebCore/accessibility/AccessibilityObject.cpp:926
>> +#if PLATFORM(IOS)
> 
> Should this be guarded instead by ENABLE_TOUCH_EVENTS

Because hasTouchEventListener() is only in iOS. And the function body of dispatchedTouchEvent() is guarded by IOS_TOUCH_EVENTS. Do you think I should change it to IOS_TOUCH_EVENTS?
Comment 6 Simon Fraser (smfr) 2016-08-02 13:02:42 PDT
Comment on attachment 285125 [details]
Initial patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285125&action=review

> Source/WebCore/platform/ios/PlatformEventFactoryIOS.mm:275
> +        m_isPotentialTap = true;

Is this changing the behavior of both createPlatformTouchEvent and createPlatformSimulatedTouchEvent? Is that desired?
Comment 7 Nan Wang 2016-08-02 13:25:59 PDT
Comment on attachment 285125 [details]
Initial patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285125&action=review

>> Source/WebCore/platform/ios/PlatformEventFactoryIOS.mm:275
>> +        m_isPotentialTap = true;
> 
> Is this changing the behavior of both createPlatformTouchEvent and createPlatformSimulatedTouchEvent? Is that desired?

This only affects createPlatformSimulatedTouchEvent.
Comment 8 Build Bot 2016-08-02 13:26:48 PDT
Comment on attachment 285125 [details]
Initial patch

Attachment 285125 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1800128

New failing tests:
platform/ios-simulator/ios/accessibility/press-fires-touch-events.html
Comment 9 Build Bot 2016-08-02 13:26:51 PDT
Created attachment 285131 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.5
Comment 10 Nan Wang 2016-08-02 13:29:18 PDT
Working on the test failure now.
Comment 11 Nan Wang 2016-08-02 15:12:04 PDT
Created attachment 285145 [details]
Patch

Fixed test.
Comment 12 Nan Wang 2016-08-02 15:52:11 PDT
Created attachment 285153 [details]
Patch

Test seemed to be timing out. I think we don't need to do the async test.
Comment 13 Build Bot 2016-08-02 16:44:22 PDT
Comment on attachment 285153 [details]
Patch

Attachment 285153 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1800937

New failing tests:
platform/ios-simulator/ios/accessibility/press-fires-touch-events.html
Comment 14 Build Bot 2016-08-02 16:44:26 PDT
Created attachment 285160 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.5
Comment 15 Simon Fraser (smfr) 2016-08-02 16:46:29 PDT
Don't forget that touch event code in OpenSource is different (and mostly disabled).
Comment 16 chris fleizach 2016-08-02 16:54:41 PDT
(In reply to comment #15)
> Don't forget that touch event code in OpenSource is different (and mostly
> disabled).

Is there a way to test code that's guarded by IOS_TOUCH_EVENTS with a layout test?
Comment 17 Nan Wang 2016-08-02 17:12:31 PDT
Created attachment 285166 [details]
Patch

Skipping the touch event test on wk2
Comment 18 WebKit Commit Bot 2016-08-02 19:39:56 PDT
Comment on attachment 285166 [details]
Patch

Clearing flags on attachment: 285166

Committed r204062: <http://trac.webkit.org/changeset/204062>
Comment 19 WebKit Commit Bot 2016-08-02 19:40:04 PDT
All reviewed patches have been landed.  Closing bug.